%define anolis_release 1
%global pypi_name timm
%global pypi_version 0.9.12

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        PyTorch image models, scripts, pretrained weights 

License:        None
URL:            https://github.com/huggingface/pytorch-image-models
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(huggingface-hub)
BuildRequires:  python3dist(pyyaml)
BuildRequires:  python3dist(safetensors)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(torch) >= 1.7
BuildRequires:  python3dist(torchvision)
BuildRequires:  python3dist(datasets)

%description
PyTorch Image Models (timm) is a collection of image models, layers, utilities, optimizers, 
schedulers, data-loaders / augmentations, and reference training / validation scripts that 
aim to pull together a wide variety of SOTA models with ability to reproduce ImageNet training 
results.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(huggingface-hub)
Requires:       python3dist(pyyaml)
Requires:       python3dist(safetensors)
Requires:       python3dist(torch) >= 1.7
Requires:       python3dist(torchvision)
%description -n python3-%{pypi_name}
PyTorch Image Models (timm) is a collection of image models, layers, utilities, optimizers, 
schedulers, data-loaders / augmentations, and reference training / validation scripts that 
aim to pull together a wide variety of SOTA models with ability to reproduce ImageNet training 
results.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

# %check
# %{__python3} setup.py test
# checks are disabled since it requires tensorflow-datasets

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Jan 09 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.9.12-1
- Initial package.